Skip to main content
POST
/
audiences
/
import
/
sendgrid
cURL
curl --request POST \
  --url https://admin.fanfare.io/api/audiences/import/sendgrid \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "listIds": [
    "<string>"
  ]
}
'
{
  "imported": [
    {
      "listId": "<string>",
      "status": "<unknown>",
      "syncSourceId": "<string>"
    }
  ],
  "skipped": [
    {
      "listId": "<string>",
      "reason": "<string>",
      "existingAudienceId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Fanfare secret key. Keep secret credentials on your server.

Body

application/json
listIds
string[]
required

Response

SendGrid lists import initiated

imported
object[]
required
skipped
object[]
required